package com.example.tstviewflipper;

import android.app.Activity;
import android.os.Bundle;
import android.view.Menu;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.animation.Animation;
import android.view.animation.AnimationUtils;
import android.widget.ViewFlipper;

public class MainActivity extends Activity implements OnClickListener {
	private ViewFlipper vf = null;

	private Animation slide_in_left = null;
	private Animation slide_out_right = null;
	private Animation slide_in_right = null;
	private Animation slide_out_left = null;
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
	
		findViewById(R.id.next).setOnClickListener(this);
		findViewById(R.id.prev).setOnClickListener(this);

		vf = (ViewFlipper)findViewById(R.id.viewflipper);

		slide_in_left = AnimationUtils.loadAnimation(this, android.R.anim.slide_in_left);
		slide_out_right = AnimationUtils.loadAnimation(this, android.R.anim.slide_out_right);

		slide_in_right = AnimationUtils.loadAnimation(this, R.anim.slide_in_right);
		slide_out_left = AnimationUtils.loadAnimation(this, R.anim.slide_out_left);
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.main, menu);
		return true;
	}

	@Override
	public void onClick(View v) {
		switch(v.getId()) {
		case R.id.prev:
			vf.setInAnimation(slide_in_right);
			vf.setOutAnimation(slide_out_left);		

			vf.showPrevious();
			break;
		case R.id.next:
			vf.setInAnimation(slide_in_left);
			vf.setOutAnimation(slide_out_right);
			
			vf.showNext();
			break;
		}
	}
}
